CancelCommand (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.diskbalancer.command, class: CancelCommand

Package org.apache.hadoop.hdfs.server.diskbalancer.command

# Class CancelCommand

java.lang.Object
org.apache.hadoop.conf.Configured
org.apache.hadoop.hdfs.server.diskbalancer.command.Command
org.apache.hadoop.hdfs.server.diskbalancer.command.CancelCommand

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.hadoop.conf.Configurable`

public class CancelCommand extends Command
Cancels a running plan.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CancelCommand(org.apache.hadoop.conf.Configuration conf)`
  Contructs a cancel Command.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute(org.apache.commons.cli.CommandLine cmd)`
  Executes the Client Calls.
  `void`
  `printHelp()`
  Gets extended help for this command.

  ### Methods inherited from class org.apache.hadoop.hdfs.server.diskbalancer.command.Command

  `addValidCommandParameters, close, create, getClusterURI, getDataNodeProxy, getDefaultTop, getNodeList, getNodes, getOutputPath, getTopNodes, open, parseTopNodes, populatePathNames, readClusterInfo, recordOutput, setCluster, setClusterURI, setNodesToProcess, setNodesToProcess, setOutputPath, setTopNodes, verifyCommandOptions`

  ### Methods inherited from class org.apache.hadoop.conf.Configured

  `getConf, setConf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CancelCommand

    public CancelCommand(org.apache.hadoop.conf.Configuration conf)
    Contructs a cancel Command.
    Parameters:
      `conf` - - Conf

- ## Method Details

  - ### execute

    public void execute(org.apache.commons.cli.CommandLine cmd) throws Exception
    Executes the Client Calls.
    Specified by:
      `execute` in class `Command`
    Parameters:
      `cmd` - - CommandLine
    Throws:
      `Exception`

  - ### printHelp

    public void printHelp()
    Gets extended help for this command.
    Specified by:
      `printHelp` in class `Command`